ru.bitel.bgbilling.modules.webmoney.server.bean

## Class Constants

- java.lang.Object
- - ru.bitel.bgbilling.common.bean.BGBaseConstants
  - - ru.bitel.bgbilling.modules.webmoney.server.bean.Constants

-     public class Constants
      extends BGBaseConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KEY_WEBMONEY_FAIL_METHOD`
    `static java.lang.String` | `KEY_WEBMONEY_FAIL_URL`
    `static java.lang.String` | `KEY_WEBMONEY_GATE_URL`
    `static java.lang.String` | `KEY_WEBMONEY_MODE`
    `static java.lang.String` | `KEY_WEBMONEY_PAYEE_PURSE`
    `static java.lang.String` | `KEY_WEBMONEY_PAYMENT_COMMENT`
    `static java.lang.String` | `KEY_WEBMONEY_PAYMENT_DESC`
    `static java.lang.String` | `KEY_WEBMONEY_PAYMENT_TYPE_ID`
    `static java.lang.String` | `KEY_WEBMONEY_RESULT_URL`
    `static java.lang.String` | `KEY_WEBMONEY_SUCCESS_METHOD`
    `static java.lang.String` | `KEY_WEBMONEY_SUCCESS_URL`
    `static java.lang.String` | `KEY_WEBMONEY_SUM_MAX`
    `static java.lang.String` | `KEY_WEBMONEY_SUM_MIN`
    `static int` | `WEBMONEY_FAIL_METHOD`
    `static java.lang.String` | `WEBMONEY_GATE_URL`
    `static int` | `WEBMONEY_MODE_OFF`
    `static int` | `WEBMONEY_MODE_ON`
    `static int` | `WEBMONEY_MODE_TEST`
    `static java.lang.String` | `WEBMONEY_PAYMENT_COMMENT`
    `static java.lang.String` | `WEBMONEY_PAYMENT_DESC`
    `static int` | `WEBMONEY_SUCCESS_METHOD`
    `static int` | `WEBMONEY_SUM_MAX`
    `static int` | `WEBMONEY_SUM_MIN`

    - ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

      `DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_MONTH, KEY_PAGE, KEY_SUM_MAX, KEY_SUM_MIN, KEY_YEAR, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_MONTH, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WEBMONEY_MODE_OFF

          public static final int WEBMONEY_MODE_OFF

      See Also:
        Constant Field Values

    - #### WEBMONEY_MODE_ON

          public static final int WEBMONEY_MODE_ON

      See Also:
        Constant Field Values

    - #### WEBMONEY_MODE_TEST

          public static final int WEBMONEY_MODE_TEST

      See Also:
        Constant Field Values

    - #### WEBMONEY_SUM_MIN

          public static final int WEBMONEY_SUM_MIN

      See Also:
        Constant Field Values

    - #### WEBMONEY_SUM_MAX

          public static final int WEBMONEY_SUM_MAX

      See Also:
        Constant Field Values

    - #### WEBMONEY_SUCCESS_METHOD

          public static final int WEBMONEY_SUCCESS_METHOD

      See Also:
        Constant Field Values

    - #### WEBMONEY_FAIL_METHOD

          public static final int WEBMONEY_FAIL_METHOD

      See Also:
        Constant Field Values

    - #### WEBMONEY_GATE_URL

          public static final java.lang.String WEBMONEY_GATE_URL

      See Also:
        Constant Field Values

    - #### WEBMONEY_PAYMENT_DESC

          public static final java.lang.String WEBMONEY_PAYMENT_DESC

      See Also:
        Constant Field Values

    - #### WEBMONEY_PAYMENT_COMMENT

          public static final java.lang.String WEBMONEY_PAYMENT_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_WEBMONEY_MODE

          public static final java.lang.String KEY_WEBMONEY_MODE

      See Also:
        Constant Field Values

    - #### KEY_WEBMONEY_SUM_MIN

          public static final java.lang.String KEY_WEBMONEY_SUM_MIN

      See Also:
        Constant Field Values

    - #### KEY_WEBMONEY_SUM_MAX

          public static final java.lang.String KEY_WEBMONEY_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_WEBMONEY_GATE_URL

          public static final java.lang.String KEY_WEBMONEY_GATE_URL

      See Also:
        Constant Field Values

    - #### KEY_WEBMONEY_PAYEE_PURSE

          public static final java.lang.String KEY_WEBMONEY_PAYEE_PURSE

      See Also:
        Constant Field Values

    - #### KEY_WEBMONEY_PAYMENT_DESC

          public static final java.lang.String KEY_WEBMONEY_PAYMENT_DESC

      See Also:
        Constant Field Values

    - #### KEY_WEBMONEY_PAYMENT_TYPE_ID

          public static final java.lang.String KEY_WEBMONEY_PAYMENT_TYPE_ID

      See Also:
        Constant Field Values

    - #### KEY_WEBMONEY_PAYMENT_COMMENT

          public static final java.lang.String KEY_WEBMONEY_PAYMENT_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_WEBMONEY_RESULT_URL

          public static final java.lang.String KEY_WEBMONEY_RESULT_URL

      See Also:
        Constant Field Values

    - #### KEY_WEBMONEY_SUCCESS_URL

          public static final java.lang.String KEY_WEBMONEY_SUCCESS_URL

      See Also:
        Constant Field Values

    - #### KEY_WEBMONEY_SUCCESS_METHOD

          public static final java.lang.String KEY_WEBMONEY_SUCCESS_METHOD

      See Also:
        Constant Field Values

    - #### KEY_WEBMONEY_FAIL_URL

          public static final java.lang.String KEY_WEBMONEY_FAIL_URL

      See Also:
        Constant Field Values

    - #### KEY_WEBMONEY_FAIL_METHOD

          public static final java.lang.String KEY_WEBMONEY_FAIL_METHOD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()